<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/backgroundlogo"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context="com.ttiglobal.inttilectgpchat.SignUpActivity"
    tools:ignore="SpUsage">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_gravity="center|top"
        android:layout_weight="1"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingTop="10dp">

        <ImageView
            android:id="@+id/logo"
            android:layout_width="@dimen/_250sdp"
            android:layout_height="@dimen/_100sdp"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/_20sdp"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            android:src="@drawable/gpint" />

    </FrameLayout>
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_gravity="center|top"
        android:layout_weight="0.3"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingTop="10dp">
    </FrameLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/textSize"
        android:orientation="vertical"
        android:layout_gravity="center|bottom"
        app:cardBackgroundColor="#d9ffffff"
        android:padding="@dimen/textSizeLarge"
        app:cardElevation="@dimen/seekbarsize"
        app:cardMaxElevation="@dimen/seekbarsize">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center|top"
            android:gravity="center"
            android:layout_marginBottom="@dimen/buttonHeight"
            android:layout_marginLeft="@dimen/textSizeSmall"
            android:layout_marginRight="@dimen/textSizeSmall"
            android:layout_marginTop="@dimen/buttonHeight"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

            <EditText
                android:id="@+id/username_signup"
                android:layout_width="match_parent"
                android:layout_height="@dimen/buttonHeight"
                android:background="@drawable/login_edittext"
                android:drawableLeft="@mipmap/smpin"
                android:drawableStart="@mipmap/smpin"
                android:hint="@string/prompt_email"
                android:inputType="text"
                android:maxLines="1"
                android:maxLength="10"
                android:textColor="@color/material_black"
                android:textColorHint="#80000000"
                android:textSize="@dimen/textSizeAverage" />
                <ImageView
                    android:id="@+id/info"
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:src="@mipmap/info_icon"
                    android:layout_gravity="right|center_vertical"
                    android:visibility="invisible"
                    />

            </FrameLayout>

            <com.dd.ShadowLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/textSize"
                android:layout_marginTop="@dimen/textSize"
                app:sl_cornerRadius="20dp"
                app:sl_shadowColor="#a6a8a8">

                <Button
                    android:id="@+id/sign_up_button"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center|bottom"
                    android:background="@drawable/btn_login_shadow"
                    android:elevation="10dp"
                    android:text="SIGN UP"
                    android:textAllCaps="true"
                    android:textColor="#FFFFFF"
                    android:textSize="@dimen/textSizeAverage" />
            </com.dd.ShadowLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Already Registered?"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="italic" />

                    <TextView
                        android:id="@+id/alreadyRegistered"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/seekbarsize_small"
                        android:text="Login"
                        android:textColor="#0f2e42"
                        android:textSize="@dimen/textSizeAverage"
                        android:textStyle="bold" />
                </LinearLayout>


            </LinearLayout>
        </LinearLayout>


    </androidx.cardview.widget.CardView>

</LinearLayout>
